import { ElementRef, Renderer2, InputSignal } from "@angular/core";
import * as i0 from "@angular/core";
/**
 * This import is used by the Svelte SDK. Do not remove.
 */
export interface ButtonProps {
    attributes?: any;
    text?: string;
}
export default class SubmitButton {
    private renderer;
    attributes: InputSignal<ButtonProps["attributes"]>;
    text: InputSignal<ButtonProps["text"]>;
    elRef0: import("@angular/core").Signal<ElementRef<any>>;
    _listenerFns: Map<any, any>;
    setAttributes(el: HTMLElement, value: any, changes?: any): void;
    constructor(renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SubmitButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SubmitButton, "submit-button", never, { "attributes": { "alias": "attributes"; "required": false; "isSignal": true; }; "text": { "alias": "text"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
